wxWidgets: wxRichTextLine Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
wxRichTextLine Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/richtext/richtextbuffer.h>`

## Detailed Description

This object represents a line in a paragraph, and stores offsets from the start of the paragraph representing the start and end positions of the line.

##

Library: wxRichText

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextLine (wxRichTextParagraph *parent)
| wxRichTextLine (const wxRichTextLine &obj)
virtual | ~wxRichTextLine ()
void | SetRange (const wxRichTextRange &range)
| Sets the range associated with this line.
void | SetRange (long from, long to)
| Sets the range associated with this line.
wxRichTextParagraph * | GetParent ()
| Returns the parent paragraph.
const wxRichTextRange & | GetRange () const
| Returns the range.
wxRichTextRange & | GetRange ()
| Returns the range.
wxRichTextRange | GetAbsoluteRange () const
| Returns the absolute range.
virtual wxSize | GetSize () const
| Returns the line size as calculated by Layout.
virtual void | SetSize (const wxSize &sz)
| Sets the line size as calculated by Layout.
virtual wxPoint | GetPosition () const
| Returns the object position relative to the parent.
virtual void | SetPosition (const wxPoint &pos)
| Sets the object position relative to the parent.
virtual wxPoint | GetAbsolutePosition () const
| Returns the absolute object position.
virtual wxRect | GetRect () const
| Returns the rectangle enclosing the line.
void | SetDescent (int descent)
| Sets the stored descent.
int | GetDescent () const
| Returns the stored descent.
void | Init (wxRichTextParagraph *parent)
| Initialises the object.
void | Copy (const wxRichTextLine &obj)
| Copies from obj.
virtual wxRichTextLine * | Clone () const

## Protected Attributes
wxRichTextRange | m_range
wxPoint | m_pos
wxSize | m_size
int | m_descent
wxRichTextParagraph * | m_parent

## Constructor & Destructor Documentation

## ◆ wxRichTextLine() [1/2]

wxRichTextLine::wxRichTextLine | ( | wxRichTextParagraph * | parent | ) |

## ◆ wxRichTextLine() [2/2]

wxRichTextLine::wxRichTextLine | ( | const wxRichTextLine & | obj | ) |
| inline

## ◆ ~wxRichTextLine()

virtual wxRichTextLine::~wxRichTextLine | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ Clone()

virtual wxRichTextLine * wxRichTextLine::Clone | ( |  | ) | const
| inlinevirtual

## ◆ Copy()

void wxRichTextLine::Copy | ( | const wxRichTextLine & | obj | ) |

Copies from obj.

## ◆ GetAbsolutePosition()

virtual wxPoint wxRichTextLine::GetAbsolutePosition | ( |  | ) | const
| virtual

Returns the absolute object position.

## ◆ GetAbsoluteRange()

wxRichTextRange wxRichTextLine::GetAbsoluteRange | ( |  | ) | const

Returns the absolute range.

## ◆ GetDescent()

int wxRichTextLine::GetDescent | ( |  | ) | const
| inline

Returns the stored descent.

## ◆ GetParent()

wxRichTextParagraph * wxRichTextLine::GetParent | ( |  | ) |
| inline

Returns the parent paragraph.

## ◆ GetPosition()

virtual wxPoint wxRichTextLine::GetPosition | ( |  | ) | const
| inlinevirtual

Returns the object position relative to the parent.

## ◆ GetRange() [1/2]

wxRichTextRange & wxRichTextLine::GetRange | ( |  | ) |
| inline

Returns the range.

## ◆ GetRange() [2/2]

const wxRichTextRange & wxRichTextLine::GetRange | ( |  | ) | const
| inline

Returns the range.

## ◆ GetRect()

virtual wxRect wxRichTextLine::GetRect | ( |  | ) | const
| inlinevirtual

Returns the rectangle enclosing the line.

## ◆ GetSize()

virtual wxSize wxRichTextLine::GetSize | ( |  | ) | const
| inlinevirtual

Returns the line size as calculated by Layout.

## ◆ Init()

void wxRichTextLine::Init | ( | wxRichTextParagraph * | parent | ) |

Initialises the object.

## ◆ SetDescent()

void wxRichTextLine::SetDescent | ( | int | descent | ) |
| inline

Sets the stored descent.

## ◆ SetPosition()

virtual void wxRichTextLine::SetPosition | ( | const wxPoint & | pos | ) |
| inlinevirtual

Sets the object position relative to the parent.

## ◆ SetRange() [1/2]

void wxRichTextLine::SetRange | ( | const wxRichTextRange & | range | ) |
| inline

Sets the range associated with this line.

## ◆ SetRange() [2/2]

void wxRichTextLine::SetRange | ( | long | from,
|  | long | to )
| inline

Sets the range associated with this line.

## ◆ SetSize()

virtual void wxRichTextLine::SetSize | ( | const wxSize & | sz | ) |
| inlinevirtual

Sets the line size as calculated by Layout.

## Member Data Documentation

## ◆ m_descent

int wxRichTextLine::m_descent
| protected

## ◆ m_parent

wxRichTextParagraph* wxRichTextLine::m_parent
| protected

## ◆ m_pos

wxPoint wxRichTextLine::m_pos
| protected

## ◆ m_range

wxRichTextRange wxRichTextLine::m_range
| protected

## ◆ m_size

wxSize wxRichTextLine::m_size
| protected